(function ($, Drupal, drupalSettings, once, document) {

  $(window).on('load', function() {
    // Get partnerId from drupalSettings
    // var partnerId = Drupal.settings.boxΝow.partnerId;
    var partnerId = drupalSettings.boxNow.partnerId;
    // BoxNow widget configuration
    window._bn_map_widget_config = {
      type: "popup",
      autoselect: false,
      autoclose: true,
      partnerId: partnerId,
      parentElement: "#boxnowmap",
      afterSelect: function (selected) {
        document.getElementById("boxnow_locker_postal_code").value = selected.boxnowLockerPostalCode === undefined ? "" : selected.boxnowLockerPostalCode;
        document.getElementById("boxnow_locker_address").value = selected.boxnowLockerAddressLine1 === undefined ? "" : selected.boxnowLockerAddressLine1;
        document.getElementById("boxnow_locker_id").value = selected.boxnowLockerId === undefined ? "" : selected.boxnowLockerId;
      }
    };

    (function (d) {
      var e = d.createElement("script");
      e.src = "https://widget-cdn.boxnow.gr/map-widget/client/v5.js";
      e.async = true;
      e.defer = true;
      d.getElementsByTagName("head")[0].appendChild(e);
    })(document);

    Drupal.behaviors.boxNowWidget = {
      attach: function(context, settings) {
        var el = $(once('box-now-widget', '#boxnowmap', context));
        if (el.length > 0) {
          _bnclient_map_widget();
        }
      }
    };
  });

}) (jQuery, Drupal, drupalSettings, once, document);
